package net.lensfrex.dscape.dao.entity;

import lombok.Data;
import java.io.Serializable;
import java.time.LocalDateTime;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;

/**
 * @description user_basic
 * @author lensfrex
 * @date 2022-08-17
 */
@Data
public class UserBasic implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * id
     */
    @TableId(type = IdType.AUTO)
    private Integer id;

    /**
     * 用户唯一uuid
     */
    private String uid;

    /**
     * 用户用户名
     */
    private String userName;

    /**
     * 用户密码
     */
    private String password;

    /**
     * 账号对应的上级管理员，若无上级管理员，请设为“null”（字符串）
     */
    private String superior;

    /**
     * 用户注册ip
     */
    private String createIp;

    /**
     * 用户状态；0：正常；1：封禁；2：注销（销号）;3：未激活
     */
    private int status;

    /**
     * create_time
     */
    private LocalDateTime createTime;

    /**
     * edit_time
     */
    private LocalDateTime editTime;

    /**
     * is_deleted
     */
    private int isDeleted;

    public UserBasic() {}
}