/*
 * Class created by lensfrex.
 */

package net.lensfrex.dscape.web.controllers.user;

import cn.dev33.satoken.stp.SaTokenInfo;
import cn.dev33.satoken.stp.StpUtil;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import net.lensfrex.dscape.dto.request.UserLoginRequestBody;
import net.lensfrex.dscape.dto.response.general.Response;
import net.lensfrex.dscape.dto.response.general.ResponseCode;
import net.lensfrex.dscape.web.service.user.UserService;
import org.springframework.web.bind.annotation.*;

@JsonSerialize(using = ToStringSerializer.class)
@RestController
@RequestMapping("/user")
public class UserController {

    private final UserService userService;

    public UserController(UserService userService) {
        this.userService = userService;
    }

    @PostMapping(value = "/login" , produces = "application/json")
    public Response<SaTokenInfo> login(@RequestBody UserLoginRequestBody requestBody) {
        return Response.success(userService.login(requestBody));
    }

    @GetMapping(value = "/checkLogin" , produces = "application/json")
    public Response<Boolean> testLogin(@RequestBody UserLoginRequestBody requestBody) {
        return Response.success(StpUtil.isLogin());
    }

    @PostMapping(value = "/register", produces = "application/json")
    public Response register(@RequestBody String body) {
        return Response.error(ResponseCode.API_NOT_IMPLEMENT);
    }

    @PostMapping(value = "/modifyPassword/{uid}", produces = "application/json")
    public Response modifyPassword(@RequestBody String body, @PathVariable String uid,
                                   @RequestHeader String token) {
        return Response.error(ResponseCode.API_NOT_IMPLEMENT);
    }
}
